\begin{tikzpicture}[->, >=stealth', shorten >=1pt, auto, node distance=2.8cm, semithick]
	\node[initial, initial text=, state]	(0)	at (0, 0)		{$q_0$};
	\node[state]							(1) at (2.5, 0)		{$q_1$};
	\node[state, accepting]					(2) at (5, 0)		{$q_2$};

	\path	(0) edge[loop above] node[align=center] {$a, Z / ZZ$, \\ $a, \bot / Z\bot$} (0)
			(0) edge node[align=center] {$\varepsilon, Z / Z$ \\ $\varepsilon, \bot / \bot$} (1)
			(1) edge[loop above] node {$b, Z / \varepsilon$} (1)
			(1) edge node {$\varepsilon, \bot / \bot$} (2);
\end{tikzpicture}
